CVE-2022-30594

Updated: 2023-08-09 21:14:50.678621

Description:

The Linux kernel before 5.17.2 mishandles seccomp permissions. The PTRACE_SEIZE code path allows attackers to bypass intended restrictions on setting the PT_SUSPEND_SECCOMP flag.


Links NIST CIRCL RHEL Ubuntu

Severity

Severity Score
CVSS Version 2.x MEDIUM 4.4
CVSS Version 3.x HIGH 7.8

Status

OS name Project name Version Score Severity Status Errata Last updated
CentOS 6 ELS kernel 2.6.32 7.8 HIGH Not Vulnerable 2022-09-07 08:04:59
CentOS 7 ELS kernel 3.10.0 7.8 HIGH Needs Triage 2023-09-18 17:06:31
CentOS 8.4 ELS kernel 4.18.0 7.8 HIGH Released CLSA-2023:1683229770 2023-05-04 17:13:03
CentOS 8.5 ELS kernel 4.18.0 7.8 HIGH Released CLSA-2023:1683146027 2023-05-04 17:13:03
CloudLinux 6 ELS kernel 2.6.32 7.8 HIGH Not Vulnerable 2022-09-07 08:04:59
Oracle Linux 6 ELS kernel 2.6.32 7.8 HIGH Not Vulnerable 2022-09-07 08:04:59
Ubuntu 16.04 ELS linux 4.4.0 7.8 HIGH Released 2023-05-10 03:37:40
Ubuntu 16.04 ELS linux-hwe 4.15.0 7.8 HIGH Already Fixed 2022-10-05 03:15:05
Ubuntu 18.04 ELS linux 4.15.0 7.8 HIGH Already Fixed 2023-06-02 09:10:38